MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032311Open CASCADE[OCCT] OCCT:Documentationpublic2021-04-20 17:382021-04-25 12:24
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032311: Documentation - Removing obsolete tag COLS_IN_ALPHA_INDEX
Descriptionocct_pdf_template.tex has right definition
\makeindex

but call gendoc.bat -overview -pdf breaks with message
Input index file refman.idx not found.
Steps To Reproducenot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0100488)
bugmaster (administrator)
2021-04-21 13:51
edited on: 2021-04-21 13:51

Generation of pdf with doxygen 1.9.1 worked after updating MiKTeX up to MiKTeX-pdfTeX 4.6 (MiKTeX 21.3)

New warning was detected:

warning: Tag 'COLS_IN_ALPHA_INDEX' at line 24 of file 'E:/builds/WEEK-15_WEEK-15/OCCT_SRC/doc/OCCT.cfg' has become obsolete.
         To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u"

(0100490)
bugmaster (administrator)
2021-04-21 14:27

# The COLS_IN_ALPHA_INDEX tag can be used to specify the number of columns in
# which the alphabetical index list will be split.
# Minimum value: 1, maximum value: 20, default value: 5.
# This tag requires that the tag ALPHABETICAL_INDEX is set to YES.

"ALPHABETICAL_INDEX is set to YES" is not present in *..doxyfile files
(0100491)
git (administrator)
2021-04-21 14:31

Branch CR32311 has been created by inv.

SHA-1: ed4548afa810dbf6e355e98cc78b2c5b0077dae5


Detailed log of new commits:

Author: bugmaster
Date: Wed Apr 21 14:31:50 2021 +0300

    0032311: Documentation - PDF file generation breaks with doxygen version greater than 1.8.13
(0100492)
git (administrator)
2021-04-21 14:41

Branch CR32311 has been updated forcibly by inv.

SHA-1: fff2ea62dda3dde9959f0c698189d1b528d53a69
(0100548)
bugmaster (administrator)
2021-04-25 10:59

Combination -
OCCT branch : IR-2021-04-23
master SHA - fd2efe5428b3b2b9d300b0612c0a53ee2486ba64
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-23 SHA - 740db2b9c0429fd95b1e8cf3790001245aaec02b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17901.710000000523 / 17988.35000000045 [-0.48%]
Products
Total CPU difference: 11558.800000000136 / 11564.760000000093 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 5522.40625 / 5520.953125 [+0.03%]
Products
Total CPU difference: 12871.203125 / 12932.890625 [-0.48%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100556)
git (administrator)
2021-04-25 12:24

Branch CR32311 has been deleted by inv.

SHA-1: fff2ea62dda3dde9959f0c698189d1b528d53a69

- Related Changesets
occt: master d0d9e937
Timestamp: 2021-04-21 11:31:50
Author: bugmaster
Details ] Diff ]
0032311: Documentation - Removing obsolete tag COLS_IN_ALPHA_INDEX
mod - dox/resources/occt_ug_html.doxyfile Diff ] File ]
mod - dox/resources/occt_ug_pdf.doxyfile Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-04-20 17:38 bugmaster New Issue
2021-04-20 17:38 bugmaster Assigned To => btokarev
2021-04-20 17:39 bugmaster Status new => assigned
2021-04-20 18:20 kgv Summary Documentation: PDF file generation breaks with doxygen version greater than 1.8.13 => Documentation - PDF file generation breaks with doxygen version greater than 1.8.13
2021-04-21 12:46 bugmaster Assigned To btokarev => bugmaster
2021-04-21 13:51 bugmaster Note Added: 0100488
2021-04-21 13:51 bugmaster Note Edited: 0100488 View Revisions
2021-04-21 14:27 bugmaster Note Added: 0100490
2021-04-21 14:31 git Note Added: 0100491
2021-04-21 14:40 bugmaster Summary Documentation - PDF file generation breaks with doxygen version greater than 1.8.13 => Documentation - Removing obsolete tag COLS_IN_ALPHA_INDEX
2021-04-21 14:41 git Note Added: 0100492
2021-04-22 17:53 bugmaster Status assigned => resolved
2021-04-22 17:53 bugmaster Steps to Reproduce Updated View Revisions
2021-04-22 17:53 bugmaster Status resolved => reviewed
2021-04-25 10:59 bugmaster Note Added: 0100548
2021-04-25 10:59 bugmaster Status reviewed => tested
2021-04-25 11:12 bugmaster Test case number => Not required
2021-04-25 11:55 bugmaster Changeset attached => occt master d0d9e937
2021-04-25 11:55 bugmaster Status tested => verified
2021-04-25 11:55 bugmaster Resolution open => fixed
2021-04-25 12:24 git Note Added: 0100556


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker